diff -u -r1.252 chan_sip.c
Index: asterisk/channels/chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.252
diff -u -r1.252 chan_sip.c
--- asterisk/channels/chan_sip.c	25 Nov 2003 21:19:25 -0000	1.252
+++ asterisk/channels/chan_sip.c	26 Nov 2003 06:49:20 -0000
@@ -5030,6 +5030,7 @@
 				ast_queue_frame(p->owner, &af, 0);
 		} else if (sipdebug)
 			ast_verbose("Ignoring this request\n");
+		strncpy(p->our_contact, get_header(req, "Contact"), sizeof(p->our_contact) - 1);
 		if (!p->lastinvite) {
 			/* Handle authentication if this is our first invite */
 			res = check_user(p, req, cmd, e, 1, sin);
@@ -5249,6 +5250,7 @@
 		} else if (sipdebug)
 			ast_verbose("Ignoring this request\n");
 			
+		strncpy(p->our_contact, get_header(req, "Contact"), sizeof(p->our_contact) - 1);
 		if (!p->lastinvite) {
 			/* Handle authentication if this is our first subscribe */
 			res = check_user(p, req, cmd, e, 0, sin);
